$('input[type="radio"]').change(function(){
	if($(this).attr('tipo') == 'cc'){
		$('div#cc').removeClass('hidden');
		$('div#boleto_bancario').addClass('hidden');
	}else{
		$('div#cc').addClass('hidden');
		$('div#boleto_bancario').removeClass('hidden');
	}
});

$('input[name="qntSMS"]').blur(function(){
	$('input#qnt_boleto').val($(this).val());
});

$("input.telefone")
.focusin(function(event){
    // var target, phone, element;  
    // target = (event.currentTarget) ? event.currentTarget : event.srcElement;  

    // target.unmask();

    $(this).unmask();
})
.focusout(function (event) {  
    var target, phone, element;  
    target = (event.currentTarget) ? event.currentTarget : event.srcElement;  
    phone = target.value.replace(/\D/g, '');
    element = $(target);  
    element.unmask();  
    if(phone.length > 10) {  
        element.mask("(99) 99999-999?9");  
    } else {  
        element.mask("(99) 9999-9999?9");  
    }  
});


// ########### MASCARA PARA CPF OU CNPJ ##########
$("input[name='cpf']").on('focusin',function(){
    var val = $(this).val();
    $(this).unmask();
    val = val.split(".").join("");
    val = val.split("-").join("");
    val = val.split("/").join("");
    $(this).val(val);
});
$("input[name='cpf']").on('focusout',function(){
    var val = $(this).val();
    val = val.split(".").join("");
    val = val.split("-").join("");
    val = val.split("/").join("");
    if (val.length==11) {
        $(this).mask("999.999.999-99");
        $(this).val(val);
    } else {
        if (val.length==14) {
            $(this).mask("99.999.999/9999-99");
            $(this).val(val);
        } else {
            $(this).val('');
        }
    }
});


// ########### MASCARA PARA CEP E AJAX PARA CONSULTA DO CEP ##########
$("input[name='cep']").on('focusin',function(){
    var val = $(this).val();
    $(this).unmask();
    val = val.split(".").join("");
    val = val.split("-").join("");
    $(this).val(val);
});
$("input[name='cep']").on('focusout',function(){
    var val = $(this).val();

    val = val.split(".").join("");
    val = val.split("-").join("");

    $(this).mask("99999-999");
    $(this).val(val);

    $.ajax({
        url : "consultar_cep.php",
        type : 'POST',
        data: {cep:$(this).val()},
        dataType: 'json',
        success : function(dados){
            if(dados.sucesso == 1){
                $('#cartao input[name="rua"]').val(dados.rua);
                $('#cartao input[name="bairro"]').val(dados.bairro);
                $('#cartao input[name="cidade"]').val(dados.cidade);
                $('#cartao input[name="estado"]').val(dados.estado);
            }else{
                $('#cartao input[name="rua"]').val('');
                $('#cartao input[name="bairro"]').val('');
                $('#cartao input[name="cidade"]').val('');
                $('#cartao input[name="estado"]').val('');
            }
        },
        error: function(){
            $('#cartao input[name="rua"]').val('');
            $('#cartao input[name="bairro"]').val('');
            $('#cartao input[name="cidade"]').val('');
            $('#cartao input[name="estado"]').val('');
        }
    })
});